Verified Commit 7286e084 authored by Aral Balkan's avatar Aral Balkan
Browse files

Upgrade to latest ACME TLS, which removes telemetry from rsa-compat

parent 7882651f
{
"name": "@ind.ie/web-server",
"version": "6.1.0",
"version": "6.2.0",
"lockfileVersion": 1,
"requires": true,
"dependencies": {
......@@ -18,17 +18,17 @@
}
},
"@ind.ie/acme-tls": {
"version": "2.0.4",
"resolved": "https://registry.npmjs.org/@ind.ie/acme-tls/-/acme-tls-2.0.4.tgz",
"integrity": "sha512-qRvVvfLEmBHZ5zacoySZccHsW3X7Tpeek/Sd/yMM166IU3FGbvKO0oOD8XFtIBYT1DCepyN9cOKi7KFA/s26Sw==",
"version": "2.1.1",
"resolved": "https://registry.npmjs.org/@ind.ie/acme-tls/-/acme-tls-2.1.1.tgz",
"integrity": "sha512-mK07HhD/+6ku836C65nBq/3DSzPA70iukApxaji8SAgcn8OMLyydn6JoZJcrfeh7ThJmYBKE503TOQqIlKuPOg==",
"requires": {
"@ind.ie/acme": "^1.0.0",
"@ind.ie/acme-v2": "^2.0.0",
"@ind.ie/rsa-compat": "^1.0.0",
"cert-info": "^1.5.1",
"le-challenge-fs": "^2.0.2",
"le-sni-auto": "^2.1.3",
"le-store-certbot": "^2.1.7",
"rsa-compat": "^2.0.3"
"le-store-certbot": "^2.1.7"
}
},
"@ind.ie/acme-v2": {
......@@ -59,6 +59,11 @@
"syswide-cas": "^5.3.0"
}
},
"@ind.ie/rsa-compat": {
"version": "1.0.0",
"resolved": "https://registry.npmjs.org/@ind.ie/rsa-compat/-/rsa-compat-1.0.0.tgz",
"integrity": "sha512-6v4Mh1vqoXgLhYESG3PvOp29EclvfdLEAgwnDdVNzW8rVuFoD+ZaNTSqdPQKTYUO5+9/03GQxEtzgF5v5M6C+w=="
},
"accepts": {
"version": "1.3.5",
"resolved": "https://registry.npmjs.org/accepts/-/accepts-1.3.5.tgz",
......@@ -819,11 +824,6 @@
"through": "~2.3.4"
}
},
"rsa-compat": {
"version": "2.0.3",
"resolved": "https://registry.npmjs.org/rsa-compat/-/rsa-compat-2.0.3.tgz",
"integrity": "sha512-oMEiSfk8KTKleNO7OEahZtrZTcjV+fzBm8jpt2bXBgyhbgO3bJdwawm4BkJe+2LfdK8kaKqMIO8pHZ/UmybQ7w=="
},
"safe-buffer": {
"version": "5.1.2",
"resolved": "https://registry.npmjs.org/safe-buffer/-/safe-buffer-5.1.2.tgz",
......
{
"name": "@ind.ie/web-server",
"version": "6.1.0",
"version": "6.2.0",
"description": "A secure and seamless Small Tech personal web server.",
"main": "index.js",
"bin": "bin/web-server.js",
......@@ -19,7 +19,7 @@
},
"license": "AGPL-3.0-or-later",
"dependencies": {
"@ind.ie/acme-tls": "^2.0.4",
"@ind.ie/acme-tls": "^2.1.1",
"@ind.ie/nodecert": "^2.0.2",
"ansi-escape-sequences": "^4.1.0",
"express": "^4.16.4",
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment